<?php
/*			DATOS DE PRUEBA			*/
/*$_POST['apodo'] = 'Chilito';
$_POST['contrasena'] = '12345';
$_POST['limite'] = 50;
$_POST['offset'] = 0;*/
/*		------------------------	*/
$mensaje = array('error'=>"Error al rescatar el historial.");
if(isset($_POST['apodo']) && isset($_POST['contrasena']) && isset($_POST['limite']) && isset($_POST['offset'])){
	$apo = $_POST['apodo'];
	$con = sha1($_POST['contrasena']);
	$limite = (int)$_POST['limite'];
	$offset = (int)$_POST['offset'];
	$usu = new UMovil();
	if($res = $usu->historial($apo,$con,$limite,$offset))
		$mensaje = array('resultado'=>$res);
}
echo JSON::array2json($mensaje);
// echo '<pre>'.print_r($mensaje,true).'</pre>'
?>